## Shrine of Chance Rebalance

In the vanilla game, the Shrine of Chance is a high-risk, low reward shrine without much use outside of the mid-end game or playing as Captain with hacking beacons. This mod aims to buff the Shrine of Chance, while keeping the vanilla high-risk gambling mechanic of occasionally rewarding you nothing at all. But now instead of purely wasting your money, each consecutive time you fail a Shrine of Chance, your chances of acquiring an item of higher rarities increases. Now the Shrine of Chance encourages a gambling, high-risk high-reward playstyle.



### What This Mod Changes (as of version 1.0.2-beta)
* For now, if the Shrine of Chance is hacked by a Captain beacon, it will revert to its vanilla behaviour.
* The first time you interact with the Shrine of Chance, the drop rates are the same as in the vanilla game; 
* but the more consecutive fails you have on the same shrine, the higher is the chance for you to get a higher quality drop. (The exact drop rates are shown in the table at the bottom of this chapter.)
* After getting a successful gamble/drop at the Shrine, the drop rates reset. 
* If a red item drops, the Shrine of Chance will immediately deactivate regardless of how many items it has dropped already.

| Consecutive Fails | Drop Chances |
|:-|---|
| 0 | Nothing: 45%<br />White (Common): 36% <br />Green (Uncommon): 9% <br />Red (Legendary): 1% <br /> Orange (Equipment): 9%|
| 1 | Nothing: 44%<br />White (Common): 29% <br />Green (Uncommon): 17% <br />Red (Legendary): 2% <br /> Orange (Equipment): 8%|
| 2 | Nothing: 44%<br />White (Common): 6% <br />Green (Uncommon): 34% <br />Red (Legendary): 6% <br /> Orange (Equipment): 11%|
| 3 | Nothing: 43%<br />White (Common): 4% <br />Green (Uncommon): 33% <br />Red (Legendary): 11% <br /> Orange (Equipment): 9%|
| 4 | Nothing: 43%<br />White (Common): 1% <br />Green (Uncommon): 37% <br />Red (Legendary): 15% <br /> Orange (Equipment): 4%|
| 5 | Nothing: 44%<br />White (Common): 0% <br />Green (Uncommon): 26% <br />Red (Legendary): 30% <br /> Orange (Equipment): 0%|
| 6 | Nothing: 0%<br />White (Common): 1% <br />Green (Uncommon): 0% <br />Red (Legendary): 99% <br /> Orange (Equipment): 0%|

### Future Plans
I plan to refine and better organise my code. Furthermore, I plan to add lots of configurable parameters to my mod, such as the drop rates, shrine cost and more.

### Feedback Is Very Much Welcomed
If you have any feedback, comments, or problems with the mod, I prefer you head over to my [Github](https://github.com/Xatha/SoCRebalancePlugin/issues) to post your 'issue'. If you feel like directly giving me feedback, you can always send me a friend request and give me your feedback directly on Discord. My Discord handle is: Luma#0069.

### Compatibility
This mod works with or without SoTV. Very important, this mod is not compatible with any mod that changes/reads/modifies the Shrine of Chance's functions or methods. As far as I know, very few mods does anything with the Shrine of Chance already, so it probably will not cause you any trouble.

### Changelog

* **1.0.2-beta**
Fixed missing effect and sound when interacting with the shrine. 

* **1.0.1-beta**
Fixed some leftover code used for debgugging.

* **1.0.0-beta**
Release!